
QGIS Application - Bug report #17574

Z default value is not honoured correctly for curved strings

2017-11-28 06:57 PM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25471

Description

Default z value for newly created geometries is set to zero when they should use default setting. 

tested on qgis master commit:d147064

can be tested using a postgis table like, with geometry_curvez field :

CREATE TABLE public.pipe

(

  id uuid NOT NULL,

  year_end smallint,

  remark text,

  geometry_linez geometry(LineStringZ,21781),

  geometry_curve geometry(MultiCurve,21781),

  geometry_curvez geometry(MultiCurveZ,21781),

  geometrycollection geometry(GeometryCollectionZ,21781),

  CONSTRAINT pipe_pkey PRIMARY KEY (id)

)

WITH (

  OIDS=FALSE

);

Associated revisions

Revision 7a698f23 - 2018-02-16 11:06 AM - Paul Blottiere

Fixes #17574 Add Z support in AddCircularString map tools

History

#1 - 2018-02-18 11:57 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7a698f234d4850c21fb4e432570fd81a2dc0836b.

#2 - 2018-02-22 11:04 AM - Giovanni Manghi

- Resolution set to fixed/implemented
#3 - 2018-03-12 08:49 PM - Jürgen Fischer

- Description updated
